# $Revision: 1.10 $, $Date: 2010/09/04 17:21:17 $
Summary:	A freely licensed alternative to the GLUT library
Summary(pl.UTF-8):	Zamiennik biblioteki GLUT na wolnej licencji
Name:		freeglut
Version:	2.6.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://dl.sourceforge.net/freeglut/%{name}-%{version}.tar.gz
# Source0-md5:	39f0f2de89f399529d2b981188082218
URL:		http://freeglut.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
Provides:	OpenGL-glut = 4.0
Obsoletes:	glut
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Freeglut, the Free OpenGL Utility Toolkit, is meant to be a free
alternative to Mark Kilgard's GLUT library. It is distributed under an
X-Consortium style license (see COPYING for details), to offer you a
chance to use and/or modify the source.

It makes use of OpenGL, GLU, and pthread libraries. The library does
not make use of any GLUT code and is not 100% compatible. Code
recompilation and/or slight modifications might be required for your
applications to work with freeglut.

%description -l pl.UTF-8
Freeglut to Free OpenGL Utility Toolkit, mający być wolnodostępnym
zamiennikiem biblioteki GLUT Marka Kilgarda. Jest rozprowadzany na
licencji w stylu X-Consortium (szczegóły w pliku COPYING), aby
umożliwić korzystanie i/lub modyfikowanie źródeł.

Korzysta z bibliotek OpenGL, GLU i pthread. Biblioteka nie korzysta z
żadnego kodu GLUT-a i nie jest w 100% kompatybilna. Do działania
aplikacji z freeglutem może być konieczna rekompilacja kodu i/lub małe
modyfikacje.

%package devel
Summary:	Header files for freeglut library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki freeglut
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXxf86vm-devel
Provides:	OpenGL-glut-devel = 4.0
Obsoletes:	glut-devel

%description devel
Header files for freeglut library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki freeglut.

%package static
Summary:	Static freeglut library
Summary(pl.UTF-8):	Statyczna biblioteka freeglut
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	OpenGL-glut-static = 4.0
Obsoletes:	glut-static

%description static
Static freeglut library.

%description static -l pl.UTF-8
Statyczna biblioteka freeglut.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-warnings
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/{freeglut.html,index.html,progress.html,*.png}
%lang(fr) %doc LISEZ_MOI
%attr(755,root,root) %{_libdir}/libglut.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglut.so.3

%files devel
%defattr(644,root,root,755)
%doc doc/{freeglut_user_interface.html,structure.html}
%attr(755,root,root) %{_libdir}/libglut.so
%{_libdir}/libglut.la
%{_includedir}/GL/freeglut*.h
%{_includedir}/GL/glut.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libglut.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freeglut.spec,v $
Revision 1.10  2010/09/04 17:21:17  patrys
- 2.6.0

Revision 1.9  2008/11/08 16:12:49  megabajt
- pass --disable-warnings to configure (kills -Werror)
- ghost soname symlink
- release 3

Revision 1.8  2007/09/21 20:32:55  arvenil
- release 2 (needs rebuild with new file)

Revision 1.7  2007/07/06 16:29:07  qboosh
- header says it supports GLUT 4.0 API

Revision 1.6  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.4  2006/11/01 21:03:11  pluto
- obvious gcc42 fix.

Revision 1.3  2006/03/17 21:01:04  qboosh
- Obsoletes: glut* (well, at least main library; no mui or Fortran bindings here)

Revision 1.2  2006/03/17 20:49:02  qboosh
- switched to modular xorg

Revision 1.1  2005/10/31 13:37:45  qboosh
- new
